Gmod - update

by Nicer - 01-06-2015, 03:35 PM
Newbie
Posts:
14
Joined:
May 2015
Likes:
3
Credits:
36
Reputation:
0
2 Years of Service
#1
OP
Posted: 01-06-2015, 03:35 PM
Hello people from nulledbb,
When I wanted to start a gmod, game has updated.
I wanted to do some stuff on my local server, but it said I had a old version, so I updated server. Started it and when it was loading up, I think every single lua file made error "a nil value"
Does anyone know what to do with it ?
Thanks,
Nicer.
Active Member
Posts:
436
Joined:
Jan 2015
Likes:
35
Credits:
398
Reputation:
20
2 Years of Service
#2
Posted: 01-06-2015, 03:40 PM
(01-06-2015, 03:35 PM)Nicer Wrote: Hello people from nulledbb,
When I wanted to start a gmod, game has updated.
I wanted to do some stuff on my local server, but it said I had a old version, so I updated server. Started it and when it was loading up, I think every single lua file made error "a nil value"
Does anyone know what to do with it ?
Thanks,
Nicer.

Well maybe if you give us some of the code, or look in it to see what changed in the new GMOD version and update your code to correspond with it.
@Believer rocks
Paradigm
Posts:
1,311
Joined:
May 2015
Likes:
46
Credits:
6
Reputation:
45
2 Years of Service
#3
Posted: 01-06-2015, 03:46 PM (This post was last modified: 01-06-2015, 03:46 PM by Kill.)
Update :

1: Your LUA addons
2: If those Addons require ULX, update ULX.
Newbie
Posts:
14
Joined:
May 2015
Likes:
3
Credits:
36
Reputation:
0
2 Years of Service
#4
OP
Posted: 01-06-2015, 03:49 PM (This post was last modified: 01-06-2015, 03:52 PM by Nicer.)
Here is a gif: http://gyazo.com/6f8bb151e3f6474abac659cb88ba07a9
Edit: Sure, but there arent any updates yet. Even darkrp (gamemode) is giving some errors. When I get in game, I dont have any things from darkrp.
Active Member
Posts:
436
Joined:
Jan 2015
Likes:
35
Credits:
398
Reputation:
20
2 Years of Service
#5
Posted: 01-06-2015, 03:51 PM
(01-06-2015, 03:49 PM)Nicer Wrote: Here is a gif: http://gyazo.com/6f8bb151e3f6474abac659cb88ba07a9

It's giving you line numbers where the error is... Look at the line numbers and see what the issue may be...
Newbie
Posts:
14
Joined:
May 2015
Likes:
3
Credits:
36
Reputation:
0
2 Years of Service
#6
OP
Posted: 01-06-2015, 03:53 PM
If it gives error from things like keys, etc... (default darkrp weapons). I think the errors arent made by me but by the gmod update.
Newbie
Posts:
12
Joined:
Dec 2016
Likes:
0
Credits:
13
Reputation:
0
1/2 Year of Service
#7
Posted: 04-12-2016, 09:00 PM (This post was last modified: 04-12-2016, 09:01 PM by e4512.)
Try updating your ulx
files in the server ftp
أ) هو ميمي)
Angels
Posts:
1,987
Joined:
Jan 2015
Likes:
113
Credits:
440
Reputation:
90
2 Years of Service
#8
Posted: 04-12-2016, 09:03 PM
(04-12-2016, 09:00 PM)e4512 Wrote: Try updating your ulx
files in the server ftp

Why the fuck would you bump a post that is a fucking year old....
xxx
The last reply on this thread is older than a month. Please do not unnecessarily bump it.
Register an account or login to reply
Create an account
Create a free account today and start posting right away. It only takes a few seconds.
Login
Log into an existing account.
1 Guest(s)